#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 33. GNOME Libraries and Desktop

- Prev

  libgee-0.20.5

- Next

  libgweather-40.0

- Up
- Home

# libgtop-2.40.0

## Introduction to libgtop

The libgtop package contains the GNOME top libraries.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/libgtop/2.40/libgtop-2.40.0.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/libgtop/2.40/libgtop-2.40.0.tar.xz

- Download MD5 sum: c6d67325cd97b2208b41e07e6cc7b947

- Download size: 728 KB

- Estimated disk space required: 20 MB

- Estimated build time: 0.2 SBU

### libgtop Dependencies

#### Required

GLib-2.70.4 and Xorg Libraries

#### Recommended

gobject-introspection-1.70.0

#### Optional

GTK-Doc-1.33.2

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libgtop

## Installation of libgtop

Install libgtop by running the following commands:

    ./configure --prefix=/usr --disable-static &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--disable-static`: This switch prevents installation of static versions of the libraries.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: libgtop_daemon2 and libgtop_server2
Installed Library: libgtop-2.0.so
Installed Directories: /usr/include/libgtop-2.0 and /usr/share/gtk-doc/html/libgtop

### Short Descriptions

`libgtop-2.0.so` | contains functions that allow access to system performance data

Last updated on

- Prev

  libgee-0.20.5

- Next

  libgweather-40.0

- Up
- Home